// contact-us styles
.contact-us{
  // display: block;
  bottom:50px;
  right:10px;
  position:fixed;
  z-index:9;
  &__title{
    font-size: $fs-22;
    width: 100%;
    text-align: center;
    padding-bottom: 30px;
    padding-top: 20px;
  }
  &__cross{
    position: absolute;
    top: 10px;
    right: 10px;
  }
  &__circle{
    box-sizing:content-box;
    border: 2px solid $c-orange;
    width:150px;
    height:150px;
    bottom:-25px;
    right:10px;
    position:absolute;
    border-radius: 100%;
    opacity: .5;
    animation: circle-anim 2.4s infinite ease-in-out !important;
    transition: all 0.5s;
    &-fill{
      box-sizing:content-box;
      background-color:$c-orange;
      width:100px;
      height:100px;
      bottom:0px;
      right:35px;
      position:absolute;
      border-radius: 100%;
      border: 2px solid transparent;
      animation: circle-fill-anim 2.3s infinite ease-in-out;
      transition: all 0.5s;
    }
  }
  &__icon{
    padding: 20px;
    cursor: pointer;
    position: fixed;
    background: $c-orange;
    fill: $c-white;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width:72px;
    height:72px;
    bottom: 16px;
    right: 51px;
    position:absolute;
    opacity: .7;
    transition: opacity .35s;
    animation-name: tossing;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    &:hover{
      opacity: 1;
    }
  }
  &__modal{
   position: fixed; 
   z-index: 10;
   height: 100vh;
   width: 100%;
   display: none;
   transition: .35s;
   &.open{
    transition: .35s;
    display: flex;
   }
   &-overlay{
     position: absolute;
     height: 100%;
     width: 100%;
     top: 0;
     left: 0;
     background: rgba(#000000, $alpha: .6);
   }
  }
  &__thanks{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    &-title{
      text-align: center;
      padding-bottom: 5px;
    }
    &-subtitle{
      text-align: center;
      font-size: $fs-22;
    }
  }
  &__form{
  border-radius: 5px;
  position: absolute;
  width:450px;
  height: 320px;  
  background-color: $c-white;
  padding: 20px;
  flex-direction: column;
  align-items: flex-end;
  transform: scale(0);
  display: flex;
  transition: .5s;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto;

  &.open{
    transition: .5s;

    transform: scale(1);
  }
  }
  &__field{
    margin:0 auto;
    margin-bottom: 15px;
    & .field__label{
      color:#DE564A;
      height: 20px;
      font-size: $fs-12;
      transform: translateY(10%)
    }
    & .field__input{
      border-bottom: 1px solid $c-green;
      transition:  $t-normal;
      
      &:focus{
        border: 0;
        border-bottom: 2px solid $c-green;
        transition:  $t-normal;
      }
      &.error{
        border: 0;
        
        transition:  $t-normal;
        border-bottom: 2px solid red;
      }
    }
    
    
  }
  &__overlay{
    cursor: pointer;
    position: absolute;
    display: flex;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba($c-dark, $alpha: .8);
  }
  &__text{
    position: relative;
    display: flex; 
    cursor: pointer;
    margin-bottom: 40px;
  }
  &__button{
    margin:10px auto 0;
    
    height: 40px;
    width: 175px;
    outline: none;
    overflow: none;
    border:none ;
    & .button__items{
      border: 2px solid $c-green;
    }

  }
}
@keyframes pulse {0% {transform: scale(0.9);opacity: 1;}
  50% {transform: scale(1); opacity: 1; }   
  100% {transform: scale(0.9);opacity: 1;}}
@keyframes tossing {
  0% {transform: rotate(-8deg);}
  50% {transform: rotate(8deg);}
  100% {transform: rotate(-8deg);}}

@keyframes circle-anim {
  0% {transform: rotate(0deg) scale(0.5) skew(1deg);opacity: .1;}
  30% {transform: rotate(0deg) scale(0.7) skew(1deg);opacity: .5;}
  100% {transform: rotate(0deg) scale(1) skew(1deg);
opacity: .1;}}
@keyframes circle-fill-anim {
  0% {transform: rotate(0deg) scale(0.7) skew(1deg);opacity: .2;}
  50% {transform: rotate(0deg) scale(1) skew(1deg);opacity: .2;}
  100% {transform: rotate(0deg) scale(0.7) skew(1deg);opacity: .2;}}


////////////////////////////////////
//Responsiwe
////////////////////////////////////

@media #{$tablet}{
// contact-us styles
.contact-us{
  bottom:30px;
  right:0px;
  &__button{
    & .button__text{
      font-size: $fs-16;
    }
  }
  &__circle{

    width:90px;
    height:90px;
    bottom:-12px;
    right:23px;
    &-fill{
      width:65px;
      height:65px;
      bottom:0px;
      right:35px;
    }
  }
  &__icon{
    padding: 10px;
    width:50px;
    height:50px;
    bottom: 10px;
    right: 45px;
  }

}
}

@media #{$phone}{
  .contact-us{
    bottom:15px;
    right:-15px;
    &__form{
      padding: 20px 10px;
      width: 100%;
    }
    &__button{
      & .button__text{
        font-size: $fs-16;
      }
    }
  }
}
  